## gcc-riscv64-unknown-elf 8.3.0.2019.08+dfsg

=== debian/changelog ===
gcc-riscv64-unknown-elf (8.3.0.2019.08+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:45 +0100

gcc-riscv64-unknown-elf (8.3.0.2019.08+dfsg-1) unstable; urgency=medium

  * Move to GCC 8.3.0
  * Remove non-DFSG documentation
  * Add in a few SiFive patches

 -- Keith Packard <keithp@keithp.com>  Tue, 01 Oct 2019 18:26:31 -0700
