=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Keith Packard <keith.packard@sifive.com>
-Build-Depends: debhelper (>= 10.0.0), m4, libtool,
+Build-Depends: debhelper (>= 11.0.0), m4, libtool,
         zlib1g-dev, gawk, lzma, xz-utils, patchutils,
 	bison, flex, gettext, texinfo, locales, sharutils,
 	libmpfr-dev, libmpc-dev, libgmp-dev,
 	dejagnu, autogen, lsb-release,
 	binutils-riscv64-unknown-elf, quilt
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/riscv/riscv-gcc
 Vcs-Git: https://salsa.debian.org/debian/gcc-riscv64-unknown-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/gcc-riscv64-unknown-elf
