## gcc-riscv64-unknown-elf 10.2.0

=== debian/changelog ===
gcc-riscv64-unknown-elf (10.2.0-0ubuntu1) groovy; urgency=medium

  * Build using GCC 10.2.0.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Sep 2020 16:50:06 +0200
