## gcc-riscv64-unknown-elf 11

=== debian/changelog ===
gcc-riscv64-unknown-elf (11) unstable; urgency=medium

  * Switch to Debian gcc sources
  * Use /bin paths for host tools. Closes: #1000964.

 -- Keith Packard <keithp@keithp.com>  Mon, 08 Aug 2022 21:07:41 -0700
