=== debian/control ===
Source: gcc-riscv64-unknown-elf
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends:
 autoconf2.69,
 binutils-riscv64-unknown-elf (>= 2.38.90),
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gcc-12-source,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 libisl-dev
Standards-Version: 4.2.0
Rules-Requires-Root: no
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/gcc-riscv64-unknown-elf.git
Vcs-Browser: https://salsa.debian.org/debian/gcc-riscv64-unknown-elf

Package: gcc-riscv64-unknown-elf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-riscv64-unknown-elf (>= 2.38.90)
Built-Using: ${Built-Using}
Description: GCC cross compiler for Risc-V processors
 Bare metal compiler for embedded Risc-V chips, both 32-bit and 64-bit
