## gcc-riscv64-unknown-elf 12

=== debian/changelog ===
gcc-riscv64-unknown-elf (12) unstable; urgency=medium

  * Update to gcc 13

 -- Keith Packard <keithp@keithp.com>  Thu, 18 Jan 2024 12:29:40 -0800
