=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-12-source,
+ gcc-13-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
