=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 target=riscv64-unknown-elf
 
-GCC_VERSION=12
+GCC_VERSION=13
 GCC_PACKAGE=gcc-$(GCC_VERSION)
 
 DEB_SOURCE_VERSION=$(shell dpkg-parsechangelog -S Version)
