## gcc-riscv64-unknown-elf 16

=== debian/changelog ===
gcc-riscv64-unknown-elf (16) unstable; urgency=medium

  * Fix broken upload

 -- Keith Packard <keithp@keithp.com>  Sun, 01 Dec 2024 09:58:05 -0800

gcc-riscv64-unknown-elf (15) unstable; urgency=medium

  * Add -mxgot to mips64el build
  * Un-limit binary architecture. Closes: #1087676.

 -- Keith Packard <keithp@keithp.com>  Wed, 27 Nov 2024 18:58:23 -0800

gcc-riscv64-unknown-elf (14) unstable; urgency=medium

  * Limit binary architectures to avoid broken linkers. Closes: #1086462.

 -- Keith Packard <keithp@keithp.com>  Thu, 07 Nov 2024 22:40:18 -0800

gcc-riscv64-unknown-elf (13) unstable; urgency=medium

  * Add patch to preserve NaN fraction and sign

  * Update to gcc 14

 -- Keith Packard <keithp@keithp.com>  Sat, 28 Sep 2024 11:12:00 -0700
