=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 target=riscv64-unknown-elf
 
-GCC_VERSION=13
+GCC_VERSION=14
 GCC_PACKAGE=gcc-$(GCC_VERSION)
 
 DEB_SOURCE_VERSION=$(shell dpkg-parsechangelog -S Version)
@@ -32,6 +32,10 @@
 build_dir=build
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
+ifeq ($(DEB_BUILD_ARCH),mips64el)
+export DEB_CFLAGS_APPEND=-mxgot
+export DEB_CXXFLAGS_APPEND=-mxgot
+endif
 build_flags:=$(shell dpkg-buildflags --export=configure) INHIBIT_LIBC_CFLAGS="-DUSE_TM_CLONE_REGISTRY=0"
 
 target_tools=\
