## gcc-riscv64-unknown-elf 17

=== debian/changelog ===
gcc-riscv64-unknown-elf (17) unstable; urgency=medium

  * Fix --disable-libstdcxx configure flag spelling.
  * Add -mlong-jump-table-offsets for m68k target.
  * Post gcc-14 migration upload. Closes: #1086462.
  * Apply Debian patches too.

 -- Keith Packard <keithp@keithp.com>  Sun, 01 Dec 2024 11:55:17 -0800
