=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
-upstream_dir=gcc-$(deb_upstream_version)
+upstream_dir=src
 
 unpack_stamp=$(stampdir)/unpack
 tar_stamp=$(stampdir)/tar
@@ -35,6 +35,10 @@
 ifeq ($(DEB_BUILD_ARCH),mips64el)
 export DEB_CFLAGS_APPEND=-mxgot
 export DEB_CXXFLAGS_APPEND=-mxgot
+endif
+ifeq ($(DEB_BUILD_ARCH),m68k)
+export DEB_CFLAGS_APPEND=-mlong-jump-table-offsets
+export DEB_CXXFLAGS_APPEND=-mlong-jump-table-offsets
 endif
 build_flags:=$(shell dpkg-buildflags --export=configure) INHIBIT_LIBC_CFLAGS="-DUSE_TM_CLONE_REGISTRY=0"
 
@@ -74,7 +78,7 @@
 	--disable-libquadmath \
 	--disable-libssp \
 	--disable-libstdcxx-pch \
-	--disable-libstdc++-v3 \
+	--disable-libstdcxx \
 	--disable-nls \
 	--disable-shared \
 	--disable-threads \
@@ -99,7 +103,7 @@
 
 $(unpack_stamp): $(tar_stamp)
 	set -ex; \
-		cd gcc-*; \
+		cd $(upstream_dir); \
 		for patch in ../debian/patches/*.patch; do \
 			echo Applying patch "$$patch"; \
 			patch -p1 < "$$patch"; \
@@ -107,7 +111,7 @@
 	touch $@
 
 $(tar_stamp):
-	tar xf $(gcc_dir)/gcc-*.tar.*
+	make -f $(gcc_dir)/debian/rules.source SOURCE_DIR=$(gcc_dir)/ series_file=series patch-source
 	mkdir -p $(stampdir)
 	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
 	touch $@
