## gcc-riscv64-unknown-elf 18

=== debian/changelog ===
gcc-riscv64-unknown-elf (18) unstable; urgency=medium

  * Revert "debian: Apply debian-specific patches too". Closes: #1092473.

 -- Keith Packard <keithp@keithp.com>  Wed, 08 Jan 2025 08:25:09 -0800
