=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
-upstream_dir=src
+upstream_dir=gcc-$(deb_upstream_version)
 
 unpack_stamp=$(stampdir)/unpack
 tar_stamp=$(stampdir)/tar
@@ -103,7 +103,7 @@
 
 $(unpack_stamp): $(tar_stamp)
 	set -ex; \
-		cd $(upstream_dir); \
+		cd gcc-*; \
 		for patch in ../debian/patches/*.patch; do \
 			echo Applying patch "$$patch"; \
 			patch -p1 < "$$patch"; \
@@ -111,7 +111,7 @@
 	touch $@
 
 $(tar_stamp):
-	make -f $(gcc_dir)/debian/rules.source SOURCE_DIR=$(gcc_dir)/ series_file=series patch-source
+	tar xf $(gcc_dir)/gcc-*.tar.*
 	mkdir -p $(stampdir)
 	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
 	touch $@
