## gcc-riscv64-unknown-elf 19

=== debian/changelog ===
gcc-riscv64-unknown-elf (19) unstable; urgency=medium

  * Use local copy of gcc source code.

 -- Keith Packard <keithp@keithp.com>  Fri, 31 Jan 2025 22:42:54 -0800
