=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dejagnu,
  flex,
  gawk,
- gcc-14-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
@@ -35,6 +34,5 @@
 Package: gcc-riscv64-unknown-elf
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-riscv64-unknown-elf (>= 2.38.90)
-Built-Using: ${Built-Using}
 Description: GCC cross compiler for Risc-V processors
  Bare metal compiler for embedded Risc-V chips, both 32-bit and 64-bit
