=== debian/rules ===
--- 
+++ 
@@ -5,25 +5,23 @@
 
 target=riscv64-unknown-elf
 
-GCC_VERSION=14
-GCC_PACKAGE=gcc-$(GCC_VERSION)
+GCC_VERSION=14.2.0
 
 DEB_SOURCE_VERSION=$(shell dpkg-parsechangelog -S Version)
 
 package=gcc-riscv64-unknown-elf
 top_dir=$(shell pwd)
-gcc_dir=/usr/src/$(GCC_PACKAGE)
+gcc_dir=debian
 doc_dir=/usr/share/doc/$(package)
 build_doc_dir=$(top_dir)/debian/$(package)$(doc_dir)
 stampdir=debian/stamp
 
-source_version := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
+source_version := $(GCC_VERSION)
 deb_version := $(source_version)+$(DEB_SOURCE_VERSION)
-deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
+deb_upstream_version := $(GCC_VERSION)
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
-BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
-upstream_dir=gcc-$(deb_upstream_version)
+upstream_dir=gcc-$(GCC_VERSION)
 
 unpack_stamp=$(stampdir)/unpack
 tar_stamp=$(stampdir)/tar
@@ -33,12 +31,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
 ifeq ($(DEB_BUILD_ARCH),mips64el)
-export DEB_CFLAGS_APPEND=-mxgot
-export DEB_CXXFLAGS_APPEND=-mxgot
+export DEB_CFLAGS_MAINT_APPEND=-mxgot
+export DEB_CXXFLAGS_MAINT_APPEND=-mxgot
 endif
 ifeq ($(DEB_BUILD_ARCH),m68k)
-export DEB_CFLAGS_APPEND=-mlong-jump-table-offsets
-export DEB_CXXFLAGS_APPEND=-mlong-jump-table-offsets
+export DEB_CFLAGS_MAINT_APPEND=-mlong-jump-table-offsets
+export DEB_CXXFLAGS_MAINT_APPEND=-mlong-jump-table-offsets
 endif
 build_flags:=$(shell dpkg-buildflags --export=configure) INHIBIT_LIBC_CFLAGS="-DUSE_TM_CLONE_REGISTRY=0"
 
@@ -113,7 +111,6 @@
 $(tar_stamp):
 	tar xf $(gcc_dir)/gcc-*.tar.*
 	mkdir -p $(stampdir)
-	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
 	touch $@
 
 override_dh_autoreconf: $(unpack_stamp)
@@ -124,7 +121,7 @@
 	dh_auto_configure -D$(src_dir) -B$(build_dir) -- $(configure_flags)
 
 override_dh_auto_clean:
-	rm -rf $(upstream_dir) $(build_dir) debian/tmp debian/copyright-gcc $(stampdir)
+	rm -rf $(upstream_dir) $(build_dir) debian/tmp $(stampdir)
 	dh_autoreconf_clean
 
 override_dh_auto_test:
@@ -132,7 +129,7 @@
 #	dh_auto_test -D$(src_dir) -B$(build_dir) --max-parallel=1
 
 override_dh_gencontrol:
-	dh_gencontrol -a -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgcc:Version=$(source_version) -VBuilt-Using="$(BUILT_USING)"
+	dh_gencontrol -a -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgcc:Version=$(source_version)
 
 override_dh_auto_install:
 	mkdir -p $(top_dir)/debian/tmp
