## gcc-riscv64-unknown-elf 20

=== debian/changelog ===
gcc-riscv64-unknown-elf (20) unstable; urgency=medium

  * Support cross building.

 -- Keith Packard <keithp@keithp.com>  Fri, 05 Sep 2025 13:21:30 -0700
