=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 Package: gcc-riscv64-unknown-elf
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-riscv64-unknown-elf (>= 2.38.90)
 Description: GCC cross compiler for Risc-V processors
  Bare metal compiler for embedded Risc-V chips, both 32-bit and 64-bit
